% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fwb-package.R
\docType{package}
\name{fwb-package}
\alias{fwb-package}
\title{fwb: Fractional Weighted Bootstrap}
\description{
An implementation of the fractional weighted bootstrap to be used as a drop-in for functions in the 'boot' package. The fractional weighted bootstrap (also known as the Bayesian bootstrap) involves drawing weights randomly that are applied to the data rather than resampling units from the data. See Xu et al. (2020) \doi{10.1080/00031305.2020.1731599} for details.
}
\references{
Xu, L., Gotwalt, C., Hong, Y., King, C. B., & Meeker, W. Q. (2020). Applications of the Fractional-Random-Weight Bootstrap. \emph{The American Statistician}, 74(4), 345–358. \doi{10.1080/00031305.2020.1731599}
}
\seealso{
Useful links:
\itemize{
  \item \url{https://ngreifer.github.io/fwb/}
  \item \url{https://github.com/ngreifer/fwb}
  \item Report bugs at \url{https://github.com/ngreifer/fwb/issues}
}

}
\author{
\strong{Maintainer}: Noah Greifer \email{noah.greifer@gmail.com} (\href{https://orcid.org/0000-0003-3067-7154}{ORCID})

}
\keyword{internal}
